package com.bcxin.ins.service.inf;


import com.bcxin.ins.core.entity.PageResult;
import com.bcxin.ins.core.entity.R;
import com.bcxin.ins.entity.common.ComInform;
import com.bcxin.mybatisplus.service.IService;

import java.util.Map;

/**
* 类名称：
* 类描述：
* 创建人：zxf
* @version
 */
public interface InformAPIService extends IService<ComInform> {

    /*根据当前时间查询公告记录*/
    R queryNowTime();
    /**公告列表查询*/
    PageResult query(Map<Object, Object> p);
    /**新增公告*/
    R add(Map<Object, Object> p);
    /**修改公告*/
    R upd(Map<Object, Object> p);
    /**删除公告*/
    R del(Map<Object, Object> p);
}